Asterisk.org: Developer Documentation (28 Oct 2009)

Wed Oct 28 15:49:43 2009

## Asterisk developer's documentation

# mgcp_endpoint Struct Reference

Collaboration diagram for mgcp_endpoint:

[legend]

## Data Fields

char | accountcode [AST_MAX_ACCOUNT_CODE]
int | adsi
int | amaflags
char | call_forward [AST_MAX_EXTENSION]
ast_group_t | callgroup
int | callreturn
int | callwaiting
int | cancallforward
int | canreinvite
int | capability
char | cid_name [AST_MAX_EXTENSION]
char | cid_num [AST_MAX_EXTENSION]
struct mgcp_request * | cmd_queue
ast_mutex_t | cmd_queue_lock
char | context [AST_MAX_EXTENSION]
char | curtone [80]
int | delme
int | dnd
struct ast_dsp * | dsp
int | dtmfmode
char | exten [AST_MAX_EXTENSION]
int | group
int | hascallerid
int | hascallwaiting
int | hidecallerid
int | hookstate
int | immediate
int | iseq
char | language [MAX_LANGUAGE]
char | lastcallerid [AST_MAX_EXTENSION]
int | lastout
ast_mutex_t | lock
char | mailbox [AST_MAX_EXTENSION]
int | msgstate
char | musicclass [MAX_MUSICCLASS]
char | name [80]
int | needaudit
int | needdestroy
struct mgcp_endpoint * | next
int | nonCodecCapability
int | onhooktime
struct mgcp_gateway * | parent
ast_group_t | pickupgroup
char | rqnt_ident [80]
struct mgcp_request * | rqnt_queue
ast_mutex_t | rqnt_queue_lock
int | singlepath
int | slowsequence
struct mgcp_subchannel * | sub
int | threewaycalling
int | transfer
int | type

## Detailed Description

Definition at line 380 of file chan_mgcp.c.

## Field Documentation

char accountcode[AST_MAX_ACCOUNT_CODE]

Definition at line 384 of file chan_mgcp.c.

Referenced by build_gateway(), and mgcp_new().

int adsi

Definition at line 422 of file chan_mgcp.c.

Referenced by build_gateway(), and mgcp_new().

int amaflags

Definition at line 409 of file chan_mgcp.c.

Referenced by build_gateway(), and mgcp_new().

char call_forward[AST_MAX_EXTENSION]

Definition at line 391 of file chan_mgcp.c.

Referenced by mgcp_new(), mgcp_request(), and mgcp_ss().

ast_group_t callgroup

Definition at line 395 of file chan_mgcp.c.

Referenced by build_gateway(), and mgcp_new().

int callreturn

Definition at line 404 of file chan_mgcp.c.

Referenced by build_gateway(), and mgcp_ss().

int callwaiting

Definition at line 397 of file chan_mgcp.c.

Referenced by build_gateway(), handle_request(), mgcp_hangup(), mgcp_request(), and mgcp_ss().

int cancallforward

Definition at line 402 of file chan_mgcp.c.

Referenced by build_gateway(), and mgcp_ss().

int canreinvite

Definition at line 403 of file chan_mgcp.c.

Referenced by build_gateway(), and mgcp_get_rtp_peer().

int capability

Definition at line 416 of file chan_mgcp.c.

Referenced by add_sdp(), build_gateway(), mgcp_new(), process_sdp(), transmit_connect_with_sdp(), and transmit_modify_with_sdp().

char cid_name[AST_MAX_EXTENSION]

Definition at line 389 of file chan_mgcp.c.

Referenced by build_gateway(), mgcp_new(), and mgcp_ss().

char cid_num[AST_MAX_EXTENSION]

Definition at line 388 of file chan_mgcp.c.

Referenced by build_gateway(), mgcp_new(), and mgcp_ss().

struct mgcp_request* cmd_queue`[read]`

Definition at line 426 of file chan_mgcp.c.

Referenced by dump_cmd_queues(), handle_response(), and send_request().

ast_mutex_t cmd_queue_lock

Definition at line 427 of file chan_mgcp.c.

Referenced by build_gateway(), destroy_endpoint(), dump_cmd_queues(), handle_response(), and send_request().

char context[AST_MAX_EXTENSION]

Definition at line 386 of file chan_mgcp.c.

Referenced by build_gateway(), mgcp_new(), and mgcp_show_endpoints().

char curtone[80]

Definition at line 394 of file chan_mgcp.c.

Referenced by handle_request(), transmit_notify_request(), and transmit_notify_request_with_callerid().

int delme

Definition at line 428 of file chan_mgcp.c.

Referenced by build_gateway(), prune_gateways(), reload_config(), and unload_module().

int dnd

Definition at line 405 of file chan_mgcp.c.

Referenced by mgcp_request(), and mgcp_ss().

struct ast_dsp* dsp`[read]`

Definition at line 430 of file chan_mgcp.c.

Referenced by destroy_endpoint(), mgcp_hangup(), mgcp_new(), and mgcp_rtp_read().

int dtmfmode

Definition at line 408 of file chan_mgcp.c.

Referenced by build_gateway(), mgcp_hangup(), mgcp_new(), mgcp_rtp_read(), mgcp_ss(), transmit_modify_request(), transmit_notify_request(), and transmit_notify_request_with_callerid().

char exten[AST_MAX_EXTENSION]

Definition at line 385 of file chan_mgcp.c.

Referenced by mgcp_new().

int group

Definition at line 412 of file chan_mgcp.c.

int hascallerid

Definition at line 406 of file chan_mgcp.c.

int hascallwaiting

Definition at line 398 of file chan_mgcp.c.

Referenced by build_gateway(), handle_request(), mgcp_hangup(), and mgcp_ss().

int hidecallerid

Definition at line 407 of file chan_mgcp.c.

Referenced by handle_request(), mgcp_hangup(), and mgcp_ss().

int hookstate

Definition at line 421 of file chan_mgcp.c.

Referenced by build_gateway(), handle_hd_hf(), handle_request(), handle_response(), mgcp_call(), mgcp_hangup(), mgcp_request(), transmit_modify_request(), transmit_notify_request(), and transmit_notify_request_with_callerid().

int immediate

Definition at line 420 of file chan_mgcp.c.

Referenced by build_gateway(), and handle_hd_hf().

int iseq

Definition at line 413 of file chan_mgcp.c.

char language[MAX_LANGUAGE]

Definition at line 387 of file chan_mgcp.c.

Referenced by build_gateway(), and mgcp_new().

char lastcallerid[AST_MAX_EXTENSION]

Definition at line 390 of file chan_mgcp.c.

Referenced by mgcp_ss(), and transmit_notify_request_with_callerid().

int lastout

Definition at line 414 of file chan_mgcp.c.

ast_mutex_t lock

Definition at line 381 of file chan_mgcp.c.

Referenced by build_gateway(), and destroy_endpoint().

char mailbox[AST_MAX_EXTENSION]

Definition at line 392 of file chan_mgcp.c.

Referenced by build_gateway(), and has_voicemail().

int msgstate

Definition at line 419 of file chan_mgcp.c.

Referenced by build_gateway().

char musicclass[MAX_MUSICCLASS]

Definition at line 393 of file chan_mgcp.c.

Referenced by build_gateway().

char name[80]

Definition at line 382 of file chan_mgcp.c.

Referenced by attempt_transfer(), build_gateway(), find_subchannel_and_lock(), handle_hd_hf(), handle_request(), handle_response(), init_req(), mgcp_answer(), mgcp_audit_endpoint(), mgcp_hangup(), mgcp_new(), mgcp_show_endpoints(), reload_config(), transmit_connect_with_sdp(), transmit_connection_del(), transmit_connection_del_w_params(), transmit_modify_request(), transmit_notify_request(), transmit_notify_request_with_callerid(), and unalloc_sub().

int needaudit

Definition at line 429 of file chan_mgcp.c.

Referenced by build_gateway(), and reload_config().

int needdestroy

Definition at line 415 of file chan_mgcp.c.

struct mgcp_endpoint* next`[read]`

Definition at line 436 of file chan_mgcp.c.

Referenced by build_gateway(), find_subchannel_and_lock(), handle_request(), mgcp_audit_endpoint(), mgcp_show_endpoints(), prune_gateways(), reload_config(), and unload_module().

int nonCodecCapability

Definition at line 417 of file chan_mgcp.c.

Referenced by add_sdp(), and process_sdp().

int onhooktime

Definition at line 418 of file chan_mgcp.c.

Referenced by build_gateway().

struct mgcp_gateway* parent`[read]`

Definition at line 437 of file chan_mgcp.c.

Referenced by add_sdp(), attempt_transfer(), build_gateway(), destroy_endpoint(), find_and_retrans(), find_command(), handle_hd_hf(), handle_request(), handle_response(), init_req(), mgcp_answer(), mgcp_hangup(), mgcp_new(), mgcp_postrequest(), mgcpsock_read(), resend_response(), send_request(), send_response(), transmit_connect_with_sdp(), transmit_connection_del(), transmit_connection_del_w_params(), transmit_modify_request(), transmit_notify_request(), transmit_notify_request_with_callerid(), transmit_response(), and unalloc_sub().

ast_group_t pickupgroup

Definition at line 396 of file chan_mgcp.c.

Referenced by build_gateway(), and mgcp_new().

char rqnt_ident[80]

Definition at line 423 of file chan_mgcp.c.

Referenced by build_gateway(), transmit_notify_request(), and transmit_notify_request_with_callerid().

struct mgcp_request* rqnt_queue`[read]`

Definition at line 424 of file chan_mgcp.c.

Referenced by dump_cmd_queues(), handle_response(), and send_request().

ast_mutex_t rqnt_queue_lock

Definition at line 425 of file chan_mgcp.c.

Referenced by build_gateway(), destroy_endpoint(), dump_cmd_queues(), handle_response(), and send_request().

int singlepath

Definition at line 401 of file chan_mgcp.c.

Referenced by build_gateway(), and mgcp_write().

int slowsequence

Definition at line 411 of file chan_mgcp.c.

Referenced by build_gateway(), handle_response(), and send_request().

struct mgcp_subchannel* sub`[read]`

Definition at line 383 of file chan_mgcp.c.

Referenced by attempt_transfer(), build_gateway(), destroy_endpoint(), dump_cmd_queues(), find_subchannel_and_lock(), handle_request(), handle_response(), mgcp_hangup(), mgcp_show_endpoints(), mgcp_write(), transmit_connection_del_w_params(), and unalloc_sub().

int threewaycalling

Definition at line 400 of file chan_mgcp.c.

Referenced by build_gateway(), and handle_request().

int transfer

Definition at line 399 of file chan_mgcp.c.

Referenced by build_gateway(), and handle_request().

int type

Definition at line 410 of file chan_mgcp.c.

Referenced by build_gateway(), and mgcp_call().

The documentation for this struct was generated from the following file:

- chan_mgcp.c